%define major 1
%define libname %mklibname xfont %{major}
%define develname %mklibname xfont -d

Name: libxfont
Summary:  X font Library
Version: 1.4.5
Release: 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXfont-%{version}.tar.bz2
# submitted upstream as bug #11573
Patch3: libXfont-1.3.4-rescan-catalogue-dir-fontpaths-on-directory-change.patch

BuildRequires: libfontenc-devel >= 1.0.1
BuildRequires: freetype2-devel >= 2.1.10
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-xtrans-devel >= 1.0.0
BuildRequires: bzip2-devel

%description
X font Library

%package -n %{libname}
Summary:  X font Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libname}
X font Library

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}
Provides: libxfont-devel = %{version}-%{release}
Obsoletes: %{_lib}xfont1-devel
Obsoletes: %{_lib}xfont-static-devel
Conflicts: libxorg-x11-devel < 7.0

%description -n %{develname}
Development files for %{name}

%prep
%setup -qn libXfont-%{version}
%patch3 -p1 -b .check-dirs-mtime

%build
%configure2_5x \
	--disable-static \
	--with-bzip2 \
	--without-fop

%make

%install
rm -rf %{buildroot}
%makeinstall_std
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%files -n %{libname}
%{_libdir}/libXfont.so.%{major}*

%files -n %{develname}
%{_libdir}/libXfont.so
%{_libdir}/pkgconfig/xfont.pc
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/*



%changelog
* Thu Mar 08 2012 Paulo Andrade <pcpa@mandriva.com.br> 1.4.5-2
+ Revision: 783363
- Remove pre scriptlet to correct rpm upgrade moving from /usr/X11R6.

* Mon Mar 05 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.4.5-1
+ Revision: 782150
- version update  1.4.5

* Tue Dec 27 2011 Matthew Dawkins <mattydaw@mandriva.org> 1.4.4-4
+ Revision: 745717
- rebuild
- disabled static build
- removed .la files
- cleaned up spec

* Tue Dec 13 2011 Matthew Dawkins <mattydaw@mandriva.org> 1.4.4-3
+ Revision: 740631
- build for BS
- fixed missing name in devel and static pkg
- added manual remove for .la files
- no more .la files
- rebuild
- dropped major from devel and static pkgs
- cleaned up spec
- removed req for x11-font-encodings
- moved to x11-font-alias
- employed major

* Sat Sep 03 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.4-1
+ Revision: 698108
- update to new version 1.4.4
- disable fop support
- drop unrecognized configure options

* Fri Apr 29 2011 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-2
+ Revision: 660300
- mass rebuild

* Fri Oct 29 2010 Thierry Vignaud <tv@mandriva.org> 1.4.3-1mdv2011.0
+ Revision: 590052
- new release

* Wed Jul 21 2010 Thierry Vignaud <tv@mandriva.org> 1.4.2-1mdv2011.0
+ Revision: 556457
- new release

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 1.4.1-1mdv2010.1
+ Revision: 463586
- new release

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.4.0-2mdv2010.0
+ Revision: 425913
- rebuild

* Thu Feb 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.0-1mdv2009.1
+ Revision: 342750
- update to new version 1.4.0

* Wed Dec 31 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.4-1mdv2009.1
+ Revision: 321591
- update to new version 1.3.4
- drop patch1, no longer needed
- Patch3: rediff to meet nofuzz
- support bzip2 compressed bitmap fonts
- set path to font encodings and require x11-font-encodings

* Wed Jul 16 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.3.3-1mdv2009.0
+ Revision: 236605
- Update to version 1.3.3

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 1.3.2-1mdv2009.0
+ Revision: 193159
- new release

* Wed Feb 13 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.3.1-3mdv2008.1
+ Revision: 166854
- Revert build requires.
  Close http://qa.mandriva.com/show_bug.cgi?id=37101.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.3.1-2mdv2008.1
+ Revision: 153297
- Update BuildRequires and rebuild.
  Disable visibility patch as it is being used only as a "documentation" of
  functions called by the X Server.
  This library needs some careful review/analysis of all code using it, as
  a large amount of libXfont symbols clash with X Server symbols, where it is
  expected that the dynamic linker will prefer the X Server symbols.
- This is a "noop" patch. But it can be considered a list of the functions,
  code from X Server uses from libXfont, at a later stage, this library can be
  changed to make available only the public symbols.

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 09 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.1-1mdv2008.1
+ Revision: 96266
- new version: 1.3.1 (for real this time)
- backport patch "prevent-a-one-character-overflow" from git
- (re)add patch "rescan-catalogue-dir-fontpaths-on-directory-change"
  which was removed by mistake.

* Tue Oct 09 2007 Thierry Vignaud <tv@mandriva.org> 1.3.0-3mdv2008.1
+ Revision: 96069
- new release

* Sat Jul 14 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0-3mdv2008.0
+ Revision: 51902
- Add rescan-catalogue-dir-fontpaths-on-directory-change.patch, now the
  fontpath is updated if font directories are changed (and not only if
  fontpath.d is changed, as before)
- remove unnecessary configure flags

* Tue Jul 10 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0-2mdv2008.0
+ Revision: 51040
- add patch to fix dirfd leak when rescanning /etc/X11/fontpath.d
- add patch to correctly support relative symlinks inside fontpath.d

* Mon Jul 02 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0-1mdv2008.0
+ Revision: 47248
- new upstream version: 1.3.0

* Fri Jun 22 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.9-1mdv2008.0
+ Revision: 43198
- new upstream version: 1.2.9
- fontpath_d patch removed (already upstream)

* Wed Jun 20 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.8-3mdv2008.0
+ Revision: 41899
- update symlink-fontspatch.patch, now the dir mtime
  is cached and symlinks changes are effective immediately.

* Tue Jun 19 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.8-2mdv2008.0
+ Revision: 41650
- add libxfont-1.2.8-symlink-fontpaths.patch (patch from RH, sent
  to the xorg list today), which allows fpe to be set to a catalog
  dir where symlinks point to the real font-paths. A
  soon-to-be-released xfs package will make use of this feature,
  thus applications won't have to keep rewriting the xfs config
  file every time a new font-path is added.

  + Thierry Vignaud <tv@mandriva.org>
    - we don't care about library's minor

* Mon Apr 30 2007 Thierry Vignaud <tv@mandriva.org> 1.2.8-1mdv2008.0
+ Revision: 19609
- new release


* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.7-1mdv2007.0
+ Revision: 116402
- new upstream version: 1.2.7

* Tue Nov 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-1mdv2007.1
+ Revision: 84142
- new release
- kill patches 0, 2 & 3 (merged upstream)

* Wed Aug 30 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.0-4mdv2007.0
+ Revision: 58697
- Fix a buffer overflow when reading bad pcf files (#24627)
- adding a patch for using -fPIC for non-x86
- rebuild to fix cooker uploading
- new upstream release: 1.1.0 (X11R7.1)
- added a patch fixing compilation with freetype 2.2
  (it seems there are still problems to be fixed, but in most cases it works)
- increment release
- fixed more dependencies
- Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

